<?php use_helper('Object', 'I18N', 'Validation', 'tvtl', 'Javascript') ?>
<?php echo form_tag('/document/update', array('multipart'=>'true', 'id'=>'update')) ?>
  <?php echo input_hidden_tag('entry_id', $entry_id) ?>
  <div class="entrygroup">
    <h2><?php echo isset($entry_id)? 'Chỉnh sửa tư liệu': 'Đưa tư liệu từ máy tính lên thư viện' ?></h2>
    <?php $textareaOption = '
        plugins: "",
        theme_advanced_buttons1: "justifyleft,justifycenter,justifyright,justifyfull,separator,bold,italic,separator,fontsizeselect",
        theme_advanced_buttons2: "",
        theme_advanced_buttons3: "",
        height:200,width:420'
    ?>
    <?php $content = array(
        array(2, 11),
        array(__('Document name').'*', form_error('doc_name').object_input_tag($tbldocument, 'getDocName', 'size=35')),
        array(__('Document'),          form_error('doc_filename').input_file_tag('doc_filename', array('size'=>'35', 'value'=>$sf_params->get('doc_filename')))),
        array(__('Source'),            form_error('doc_source').object_input_tag($tbldocument, 'getDocSource', array('size'=>'35'))),
        array(__('Description'),       form_error('doc_desc').object_textarea_tag($tbldocument, 'getDocDesc', array(
                                       'control_name'=>'doc_desc', 'rich'=>true, 'tinymce_options'=>$textareaOption)).'<br>'),
      );
      if (isset($entry_id)) $content = array_merge($content, array(
        array(__('Thumbnail'),         $tbldocument->getObject()->getManualThumbnail()),
      ));
    ?>
    <div class="content">
      <div style="height:5px"></div>
      <?php include_component('entry', 'selectfolder', array('cat_id'=>$cat_id)); ?>
      <?php include_component('entry', 'uploadhelp') ?>
      <?php echo gridTable($content) ?>
      <br />
      <center>
        <?php echo submit_tag(__('Save'), array('id'=>'smbtn', 'style'=>'width:80px', 'onclick'=>'return validate();')) ?>
        <?php if ($entry_id) echo '&nbsp;&nbsp;'.link_to(__('Cancel'), '/document/show?entry_id='.$entry_id) ?>
      </center>
    </div>
  </div>
</form>

<script>
  function validate() {
    if ($("cat_error") != undefined) {alert($F("cat_error")); return false;}
    if (!checkError("doc_name", "3<=v.length && v.length<=128", "Tên tư liệu dài từ 3 đến 128 ký tự")) return false;
<?php if (!isset($entry_id)): ?>
    if (!checkError("doc_filename", "v.length>0", "Bạn phải chọn file tư liệu để đưa lên")) return false;
<?php endif; ?>
    var invalid_type_msg = "Bạn phải chọn các dạng file <b><?php echo strtoupper(join(', ', $exts)) ?></b>";
    if (!checkError("doc_filename", "v.length==0 || v.match(/\.(<?php echo join('|', $exts) ?>)$/gi)!=null", invalid_type_msg)) {
      $("sendcomment").style.display = "block";
      return false;
    }
    $("update").submit();
    $("smbtn").disabled = true;
    return false;
  }
</script>
